       IDENTIFICATION DIVISION.
       CLASS-ID. utility as "utility".
       configuration section.
       repository.
           CLASS Toolkit    AS "java.awt.Toolkit"
           CLASS KeyEvent   AS "java.awt.event.KeyEvent"
           class boolean    AS "boolean"
           .

       IDENTIFICATION DIVISION.
       FACTORY.
 

       WORKING-STORAGE SECTION.
 
       PROCEDURE DIVISION.
 
       IDENTIFICATION DIVISION.
       METHOD-ID. caps as "caps".
       WORKING-STORAGE SECTION.
       77  state   OBJECT REFERENCE boolean.
       77  l-string pic x any length.
 
       PROCEDURE DIVISION returning l-string. 
       MAIN.
           set state to Toolkit:>getDefaultToolkit():>getLockingKeyState
                                (KeyEvent:>VK_CAPS_LOCK).
           if state
              move "Caps ON"  to l-string
           else 
              move "Caps OFF" to l-string
           end-if

       END METHOD.

       IDENTIFICATION DIVISION.
       METHOD-ID. nums as "nums".
       WORKING-STORAGE SECTION.
       77  state   OBJECT REFERENCE boolean.
       77  l-string pic x any length.
 
       PROCEDURE DIVISION returning l-string. 
       MAIN.
           set state to TOOLKIT:>getDefaultToolkit():>getLockingKeyState
                                (KEYEVENT:>VK_NUM_LOCK).
           if state
              move "Num ON"  to l-string
           else 
              move "Num OFF" to l-string
           end-if

           END METHOD. 
 
       IDENTIFICATION DIVISION.
       METHOD-ID. curr_time as "curr_time".
       WORKING-STORAGE SECTION.
       77  c-time   pic 9(8).
       77  l-string pic x any length.
 
       PROCEDURE DIVISION returning l-string. 
       MAIN.
           accept c-time from time
           string c-time(1:2) 
                  ":" 
                  c-time(3:2) 
                  ":" 
                  c-time(5:2) 
                  into  l-string

           END METHOD. 
 
       IDENTIFICATION DIVISION.
       METHOD-ID. curr_date as "curr_date".
       WORKING-STORAGE SECTION.
       77  c-date   pic 9(8).
       77  l-string pic x any length.
 
       PROCEDURE DIVISION returning l-string. 
       MAIN.
           accept c-date from century-date
           string "Today: " 
                  c-date(1:4) 
                  "/" 
                  c-date(5:2) 
                  "/" 
                  c-date(7:2)
                  into l-string
    
           END METHOD. 
 
       END FACTORY.